<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: Device/Nuvoton/Nano1X2Series/Source/GCC/_syscalls.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_92781df0a275b97b29ea05f684c53720.html">Nano1X2Series</a></li><li class="navelem"><a class="el" href="../../dir_a9675d3fe69a6956120b6eac8ec66ca6.html">Source</a></li><li class="navelem"><a class="el" href="../../dir_d597a4f12eb693ab15e9b0230738caf6.html">GCC</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">_syscalls.c File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;_ansi.h&gt;</code><br />
<code>#include &lt;_syslist.h&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
<code>#include &lt;sys/stat.h&gt;</code><br />
<code>#include &lt;sys/time.h&gt;</code><br />
<code>#include &lt;sys/times.h&gt;</code><br />
<code>#include &lt;limits.h&gt;</code><br />
<code>#include &lt;signal.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for _syscalls.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/ded/__syscalls_8c__incl.png" border="0" usemap="#a_device_2_nuvoton_2_nano1_x2_series_2_source_2_g_c_c_2__syscalls_8c" alt=""/></div>
</div>
</div>
<p><a href="../../df/dae/__syscalls_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaf94add8ada1485e9cedbf027acebfa00"><td class="memItemLeft" align="right" valign="top">void *__dso_handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a> ((weak))</td></tr>
<tr class="memdesc:gaf94add8ada1485e9cedbf027acebfa00"><td class="mdescLeft">&#160;</td><td class="mdescRight">A callback called by library while smartcard request for a time extension.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">More...</a><br /></td></tr>
<tr class="separator:gaf94add8ada1485e9cedbf027acebfa00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33bc2e95322efcc789c6cb81624b5527"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/__syscalls_8c.html#a33bc2e95322efcc789c6cb81624b5527">__initialize_args</a> (int *p_argc, char ***p_argv)</td></tr>
<tr class="separator:a33bc2e95322efcc789c6cb81624b5527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48f210aea9cd604209f996c3c909005a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/__syscalls_8c.html#a48f210aea9cd604209f996c3c909005a">raise</a> (int sig <a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a>((unused)))</td></tr>
<tr class="separator:a48f210aea9cd604209f996c3c909005a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4539db972bcf3dd8c8b429af0dc3789d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/__syscalls_8c.html#a4539db972bcf3dd8c8b429af0dc3789d">kill</a> (pid_t pid, int sig)</td></tr>
<tr class="separator:a4539db972bcf3dd8c8b429af0dc3789d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13a9bc88662fbfb3a256c3e90f8dd906"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/__syscalls_8c.html#a13a9bc88662fbfb3a256c3e90f8dd906">kill</a> (pid_t pid <a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a>((unused)), int sig <a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a>((unused)))</td></tr>
<tr class="separator:a13a9bc88662fbfb3a256c3e90f8dd906"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad65a8842cc674e3ddf69355898c0ecbf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/__syscalls_8c.html#ad65a8842cc674e3ddf69355898c0ecbf">errno</a></td></tr>
<tr class="separator:ad65a8842cc674e3ddf69355898c0ecbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a33bc2e95322efcc789c6cb81624b5527" name="a33bc2e95322efcc789c6cb81624b5527"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33bc2e95322efcc789c6cb81624b5527">&#9670;&nbsp;</a></span>__initialize_args()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void __initialize_args </td>
          <td>(</td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>p_argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char ***&#160;</td>
          <td class="paramname"><em>p_argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a13a9bc88662fbfb3a256c3e90f8dd906" name="a13a9bc88662fbfb3a256c3e90f8dd906"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13a9bc88662fbfb3a256c3e90f8dd906">&#9670;&nbsp;</a></span>kill() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kill </td>
          <td>(</td>
          <td class="paramtype">pid_t pid &#160;</td>
          <td class="paramname"><em>__attribute__</em>(unused), </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int sig &#160;</td>
          <td class="paramname"><em>__attribute__</em>(unused)&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dae/__syscalls_8c_source.html#l00075">75</a> of file <a class="el" href="../../df/dae/__syscalls_8c_source.html">_syscalls.c</a>.</p>

</div>
</div>
<a id="a4539db972bcf3dd8c8b429af0dc3789d" name="a4539db972bcf3dd8c8b429af0dc3789d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4539db972bcf3dd8c8b429af0dc3789d">&#9670;&nbsp;</a></span>kill() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kill </td>
          <td>(</td>
          <td class="paramtype">pid_t&#160;</td>
          <td class="paramname"><em>pid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>sig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a48f210aea9cd604209f996c3c909005a" name="a48f210aea9cd604209f996c3c909005a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48f210aea9cd604209f996c3c909005a">&#9670;&nbsp;</a></span>raise()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int raise </td>
          <td>(</td>
          <td class="paramtype">int sig &#160;</td>
          <td class="paramname"><em>__attribute__</em>(unused)</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dae/__syscalls_8c_source.html#l00065">65</a> of file <a class="el" href="../../df/dae/__syscalls_8c_source.html">_syscalls.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ad65a8842cc674e3ddf69355898c0ecbf" name="ad65a8842cc674e3ddf69355898c0ecbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad65a8842cc674e3ddf69355898c0ecbf">&#9670;&nbsp;</a></span>errno</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int errno</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dae/__syscalls_8c_source.html#l00009">9</a> of file <a class="el" href="../../df/dae/__syscalls_8c_source.html">_syscalls.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
